package main

import (
	"log"

	"github.com/Vomitblood/cspj-application/server/internal/db"
	"github.com/Vomitblood/cspj-application/server/internal/http_server"
)

func main() {
	var err error
	db.DbPool, err = db.ConnectToDb()
	if err != nil {
		log.Fatalf("Failed to connect to db: %v", err)
	}
	defer db.DbPool.Close()

	http_server.ServeApi()
}
